from typing import List
from typing import Sequence

from servequery.core.container import MetricContainer
from servequery.core.container import MetricOrContainer
from servequery.core.report import Context
from servequery.metrics import MeanValue
from servequery.tests import gte


class RowTestSummary(MetricContainer):
    columns: List[str] = []
    min_success_rate: float = 1

    def generate_metrics(self, context: "Context") -> Sequence[MetricOrContainer]:
        test_columns = self.columns or context.data_definition.test_descriptors or []
        return [
            MeanValue(column=tc, tests=[gte(self.min_success_rate, alias=f"Share of passed '{tc}' row tests")])
            for tc in test_columns
        ]
